package com.bocloud.cmp.model.hmc.sdk.module;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.model.hmc.sdk.common.Atom;
import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class LogicalVolumeVirtualTargetDevice {
    private Metadata metadata;
    private String logicalUnitAddress;
    private String targetName;
    private String uniqueDeviceID;

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getLogicalUnitAddress() {
        return logicalUnitAddress;
    }

    public void setLogicalUnitAddress(String logicalUnitAddress) {
        this.logicalUnitAddress = logicalUnitAddress;
    }

    public String getTargetName() {
        return targetName;
    }

    public void setTargetName(String targetName) {
        this.targetName = targetName;
    }

    public String getUniqueDeviceID() {
        return uniqueDeviceID;
    }

    public void setUniqueDeviceID(String uniqueDeviceID) {
        this.uniqueDeviceID = uniqueDeviceID;
    }

    public LogicalVolumeVirtualTargetDevice() {
    }

    public LogicalVolumeVirtualTargetDevice(String logicalUnitAddress, String targetName, String uniqueDeviceID) {
        super();
        this.metadata = new Metadata(new Atom());
        this.logicalUnitAddress = logicalUnitAddress;
        this.targetName = targetName;
        this.uniqueDeviceID = uniqueDeviceID;
    }

    public LogicalVolumeVirtualTargetDevice(String logicalUnitAddress, String targetName) {
        super();
        this.metadata = new Metadata(new Atom());
        this.logicalUnitAddress = logicalUnitAddress;
        this.targetName = targetName;
    }

    public LogicalVolumeVirtualTargetDevice(String targetName) {
        super();
        this.metadata = new Metadata(new Atom());
        this.targetName = targetName;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
